/*
 *
 *     Copyright (c) 2012 CA.  All rights reserved.
 *
 *     This software and all information contained therein is confidential and
 *     proprietary and shall not be duplicated, used, disclosed or disseminated in any
 *     way except as authorized by the applicable license agreement, without the
 *     express written permission of CA. All authorized reproductions must be marked
 *     with this language.
 *
 *     EXCEPT AS SET FORTH IN THE APPLICABLE LICENSE AGREEMENT, TO THE
 *     EXTENT PERMITTED BY APPLICABLE LAW, CA PROVIDES THIS SOFTWARE
 *     WITHOUT WARRANTY OF ANY KIND, INCLUDING WITHOUT LIMITATION, ANY
 *     IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR
 *     PURPOSE.  IN NO EVENT WILL CA BE LIABLE TO THE END USER OR ANY
 *     THIRD PARTY FOR ANY LOSS OR DAMAGE, DIRECT OR INDIRECT, FROM THE
 *     USE OF THIS SOFTWARE, INCLUDING WITHOUT LIMITATION, LOST PROFITS,
 *     BUSINESS INTERRUPTION, GOODWILL, OR LOST DATA, EVEN IF CA IS
 *     EXPRESSLY ADVISED OF SUCH LOSS OR DAMAGE.
 */
/* Rubicon resource file */

/**
 * Created by IntelliJ IDEA.
 * User: Administrator
 * Date: 12/20/10
 * Time: 12:41 PM
 * To change this template use File | Settings | File Templates.
 */
Date.monthNames = ["January","February","March",
                    "April","May","June",
                    "July","August","September",
                    "October","November","December"];

Ext.override(Ext.DatePicker, {
    monthNames: Date.monthNames,
    todayText: "Today",
    okText: "OK",
    cancelText: "Cancel",
    nextText: "Next Month (Control+Right)",
    prevText: "Previous Month (Control+Left)"
});

// TODO: There is a bug with EXT-JS. It does not implement chinese translations. This may be fixed in ext-js 4
Ext.override(Ext.form.TimeField, {
	minText : "The time in this field must be equal to or after {0}",
	maxText : "The time in this field must be equal to or before {0}",
	invalidText : "{0} is not a valid time"
});

Ext.override(TimeRange, {
    customLabel: "Custom",
    lastHourLabel: "Last Hour",
    last4HoursLabel: "Last 4 Hours",
    last8HoursLabel: "Last 8 Hours",
    last24HoursLabel: "Last 24 Hours",
    last7DaysLabel: "Last 7 Days",
    last14DaysLabel: "Last 14 Days",
    last30DaysLabel: "Last 30 Days",
    last3MonthsLabel: "Last 3 Months",
    last12MonthsLabel: "Last 12 Months",
	yesterdayLabel: "Yesterday",
	previousWeekLabel: "Previous Week",
	previousMonthLabel: "Previous Month",
	todayLabel: "Today",
	currentWeekLabel: "Current Week",
	currentMonthLabel: "Current Month",
    backLabel: "Back",
    forwardLabel: "Forward",
    latestLabel: "Latest",
    setButtonLabel: "Set",
    cancelButtonLabel: "Cancel",
	errorTitle: "Error",
	errorMessage: "Your start date is later than your end date.",
    dateFormat: "Y/m/d"
});






